Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Mon 22 Dec 2014, 07:19
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Graphics
Pencil animation/drawing software QT4
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 3 Posts_count   Goto page: 1, 2, 3 Next
Author Message
ttuuxxx


Joined: 05 May 2007
Posts: 10847
Location: Ontario Canada,Sydney Australia

PostPosted: Mon 28 Apr 2008, 00:11    Post_subject:  Pencil animation/drawing software QT4  

Hi I came across this application and wanted to give it a try, I was using 3.02 at the time.
Description:
Pencil is an animation/drawing software for Linux. It lets you create traditional hand-drawn animation (cartoon) using both bitmap and vector graphics. Pencil is free and open source.

Pencil is not intended to mimick web-oriented vector-based animation software such as Flash. Its main purpose is to make traditional animation. Neither does it try to rival commercial software targeting the professional animation sector. Pencil is intended to be a simple program enabling anyone to make 2D animation.

It needs QT4 libraries which I installed from Puppylinux.ca
Once installed the qt4 libraries don't seem to register with usr/lib so I made some system links, then some parts of the Qt4 were missing from the q4 install, so I added those, and a few more audio/png files and finally it worked:)
So I packaged it all up and here it is.

Qt4 library
http://www.puppylinux.ca/pet4/qt4-4.3.2.pet

And Pencil is below
hope it works well for you.
ttuuxxx
pencil-0.4.3b.pet
Description 
pet

 Download 
Filename  pencil-0.4.3b.pet 
Filesize  707.12 KB 
Downloaded  1359 Time(s) 
pencil.png
 Description   
 Filesize   188.39 KB
 Viewed   2280 Time(s)

pencil.png


_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile

Edited_time_total
Back to top
View user's profile Send_private_message Visit_website 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15122
Location: Paradox Realm

PostPosted: Mon 28 Apr 2008, 01:14    Post_subject:  

Tried in Puppy 3.99 (Dingo Beta 2)
Wot no animated rastapix logo yet? Wink

This is as far as I got

Code:

# ./pencil
./pencil: error while loading shared libraries: libGLU.so.1: cannot open shared object file: No such file or directory

_________________
Puppy WIKI
Back to top
View user's profile Send_private_message Visit_website 
ttuuxxx


Joined: 05 May 2007
Posts: 10847
Location: Ontario Canada,Sydney Australia

PostPosted: Mon 28 Apr 2008, 01:55    Post_subject:  

Lobster wrote:
Tried in Puppy 3.99 (Dingo Beta 2)
Wot no animated rastapix logo yet? Wink

This is as far as I got

Code:

# ./pencil
./pencil: error while loading shared libraries: libGLU.so.1: cannot open shared object file: No such file or directory


Hey lobster

I'm fixing it as we speak, Is the Qt4 library broken in 4 series because once again the file is included with Qt4 but its not being located in user/libs the actual file is in /usr/X11R7/lib/libGLU.so.1
I'll system link it to usr/lib but I shouldn't have to do this. maybe Qt4 should be installed to usr/libs and not /usr/X11R7/lib/
well its updated give it a try Smile

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile
Back to top
View user's profile Send_private_message Visit_website 
JB4x4

Joined: 30 Jul 2006
Posts: 256

PostPosted: Mon 28 Apr 2008, 06:22    Post_subject:  

Shouldn't "libGLU.so.1" be part of an Xorg package - not QT?

I tried out Pencil in Puppy 3.99. I downloaded the Pencil.pet - installed the QT4 package via PETget (ibiblio repository), and have the Fatdog.sfs running (libGLU.so.1 included in sfs). Works like a charm.

JB
Back to top
View user's profile Send_private_message YIM 
vovchik


Joined: 23 Oct 2006
Posts: 1287
Location: Ukraine

PostPosted: Mon 28 Apr 2008, 07:00    Post_subject:  

Dear Puppians,

Just for your info, I compiled pencil some weeks ago and had problems with it - and all qt4 apps - because, when exiting, xorg would crash. I scoured all the qt4 forums for answers and found none. Eventually, I saw something under the icewm forums that said an error with qt4 had been fixed (I use icewm). Once I upgraded icewm, qt4 no longer gave problems, and I can now run and exit qt4 apps without xorg crashes. So the problems I was experiencing were not related to pencil or qt4 under Puppy 3.01, but my buggy version - at least in qt4 terms - of icewm.

with kind regards,
vovchik
Back to top
View user's profile Send_private_message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15122
Location: Paradox Realm

PostPosted: Mon 28 Apr 2008, 10:52    Post_subject:  

Ttuuxxx
Downloaded and tried again. No luck
Then added fatdog

Quote:

I tried out Pencil in Puppy 3.99. I downloaded the Pencil.pet - installed the QT4 package via PETget (ibiblio repository), and have the Fatdog.sfs
running (libGLU.so.1 included in sfs). Works like a charm.


. . ..and I have Pencil running in Dingo.
Looks good. Outputs to swf

Thanks guys. This looks like some fun Smile

_________________
Puppy WIKI
Back to top
View user's profile Send_private_message Visit_website 
ttuuxxx


Joined: 05 May 2007
Posts: 10847
Location: Ontario Canada,Sydney Australia

PostPosted: Mon 28 Apr 2008, 11:05    Post_subject:  

Lobster wrote:
Ttuuxxx
Downloaded and tried again. No luck
Then added fatdog

Quote:

I tried out Pencil in Puppy 3.99. I downloaded the Pencil.pet - installed the QT4 package via PETget (ibiblio repository), and have the Fatdog.sfs
running (libGLU.so.1 included in sfs). Works like a charm.


. . ..and I have Pencil running in Dingo.
Looks good. Outputs to swf

Thanks guys. This looks like some fun Smile


Hey lobster next time I boot 4.0 I'll make a new package for it Smile
Thanks and have a nice day
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile
Back to top
View user's profile Send_private_message Visit_website 
RR Koothady

Joined: 22 Jul 2006
Posts: 247
Location: Coimbatore, India

PostPosted: Mon 28 Apr 2008, 13:58    Post_subject:  

Hi!

The drawing tools are simple and I really feel wonderful to use them. This definitely is a great program.

I installed qt.pet and then pencil.pet. No Problem. It works wonderfully. I am in Lobster's Timexxine 3.01.

Thank You ttuuxxx!

RRK
Back to top
View user's profile Send_private_message 
vovchik


Joined: 23 Oct 2006
Posts: 1287
Location: Ukraine

PostPosted: Mon 28 Apr 2008, 16:48    Post_subject:  

Dear ttuuxxx,

Please tell me what style you are using for your qt4 apps. I use "bespin", but yours looks better, much more like regular OSX.

with thanks in advance and kind regards,
vovchik
Back to top
View user's profile Send_private_message 
kevin-isca


Joined: 20 Apr 2008
Posts: 13
Location: Exeter, Devon

PostPosted: Wed 30 Apr 2008, 18:04    Post_subject:  

Hi

This is a great! I have been looking for a simple animation program.
All works but with the export to .swf I get
Quote:
sh-3.00# pencil
pencil: /usr/lib/libpng12.so.0: no version information available (required by /usr/lib/libQtGui.so.4)
Hello
"/opt/qt4/plugins"
"//opt/qt4/bin"
"//opt/qt4/lib"
------Flash------ 10
libpng error: Incompatible libpng version in application and library
Segmentation fault
sh-3.00#


I have NOP and ttuuxx's qt4
I have had a similar message when trying to run audacity-1.3.2-beta.pup

http://www.murga-linux.com/puppy/viewtopic.php?p=191524&sid=4b196bf3c25e885e84f72

Any ideas would be really valued

Cheerio
Back to top
View user's profile Send_private_message Visit_website 
vovchik


Joined: 23 Oct 2006
Posts: 1287
Location: Ukraine

PostPosted: Wed 30 Apr 2008, 18:14    Post_subject:  

Dear kevin-isca,

My own compiled version of pencil - using reqular puppy qt4 libs (on Puppy 3.01) - exports swf just fine - no segfaults or any other problems. You may be missing a few libs.

with kind regards,
vovchik
Back to top
View user's profile Send_private_message 
ttuuxxx


Joined: 05 May 2007
Posts: 10847
Location: Ontario Canada,Sydney Australia

PostPosted: Thu 01 May 2008, 22:22    Post_subject:  

[quote="kevin-isca"]Hi

This is a great! I have been looking for a simple animation program.
All works but with the export to .swf I get
Quote:
sh-3.00# pencil
pencil: /usr/lib/libpng12.so.0: no version information available (required by /usr/lib/libQtGui.so.4)
Hello
"/opt/qt4/plugins"
"//opt/qt4/bin"
"//opt/qt4/lib"
------Flash------ 10
libpng error: Incompatible libpng version in application and library
Segmentation fault
sh-3.00#


well since it looks like a libpng problem try another png.

http://www.puppylinux.ca/pet4/libpng-1.2.22.pet <-- puppy 4.0 series, try it anyways you can always uninstall it Smile
also
http://www.puppylinux.ca/pet3/libpng-1.2.18.pet <--- puppy 3.0 series
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile
Back to top
View user's profile Send_private_message Visit_website 
kevin-isca


Joined: 20 Apr 2008
Posts: 13
Location: Exeter, Devon

PostPosted: Sat 03 May 2008, 07:53    Post_subject:    

Thanks for both of your responses. When I am staring at a screen going duh it helps that there is someone else out there Smile

ttuuxx - I have tried both libpng links but with no joy

vovchik - Did you compile Ming before Pencil? I am getting error messages when extracting the file.

The only joy is that using qt4-4.3.1 instead of qt4-4.3.2 removes the
pencil: /usr/lib/libpng12.so.0: no version information available (required by /usr/lib/libQtGui.so.4) error
I am still left with the segmentation error on trying to export.

For my own sanity I have run Pencil with export successfully on ubuntu although with no sound.

I am trying to build a set of tools to work with in my class of 10-11 year olds. So far we have sound and rhythm with Audacity and Hydrogen, Gimp for graphics and open office for text and presentation. Animation and Video is the stumbling block so far. I am using cross platform open source as much as possible as it makes it far easier for families to access things at home. All good ideas its just getting the time to put everything together.

Cheers
Back to top
View user's profile Send_private_message Visit_website 
ttuuxxx


Joined: 05 May 2007
Posts: 10847
Location: Ontario Canada,Sydney Australia

PostPosted: Sat 03 May 2008, 08:49    Post_subject:  

kevin-isca wrote:
Thanks for both of your responses. When I am staring at a screen going duh it helps that there is someone else out there Smile

ttuuxx - I have tried both libpng links but with no joy

vovchik - Did you compile Ming before Pencil? I am getting error messages when extracting the file.

The only joy is that using qt4-4.3.1 instead of qt4-4.3.2 removes the
pencil: /usr/lib/libpng12.so.0: no version information available (required by /usr/lib/libQtGui.so.4) error
I am still left with the segmentation error on trying to export.

For my own sanity I have run Pencil with export successfully on ubuntu although with no sound.

I am trying to build a set of tools to work with in my class of 10-11 year olds. So far we have sound and rhythm with Audacity and Hydrogen, Gimp for graphics and open office for text and presentation. Animation and Video is the stumbling block so far. I am using cross platform open source as much as possible as it makes it far easier for families to access things at home. All good ideas its just getting the time to put everything together.

Cheers


Ok here's the deal since you have a class of students
just tell me which puppy version/model your using and i"ll try to get it going for you Smile
ttuuxxx

_________________
http://audio.online-convert.com/ <-- excellent site
http://samples.mplayerhq.hu/A-codecs/ <-- Codec Test Files
http://html5games.com/ <-- excellent HTML5 games Smile
Back to top
View user's profile Send_private_message Visit_website 
kevin-isca


Joined: 20 Apr 2008
Posts: 13
Location: Exeter, Devon

PostPosted: Sat 03 May 2008, 09:23    Post_subject:  

Wow Very Happy

Quote:
Ok here's the deal since you have a class of students
just tell me which puppy version/model your using and i"ll try to get it going for you
ttuuxxx


Rumour has it that the puppy forums are a friendly place! Proof positive!

Ok, I am running NOP r1 which as far as I can see is 3.01 with stuff taken out and XFCE opera and flash put in.

I only have one other package with QT4 which is VYM 1.10 and I was using QT4 4.3.1
I ran a clean install of NOP and hit the same error so I don't think it is anything else I have added that's causing the problem.

I appreciate your kind offer ttuuxx

Cheers
Back to top
View user's profile Send_private_message Visit_website 
Display_posts:   Sort by:   
Page 1 of 3 Posts_count   Goto page: 1, 2, 3 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Graphics
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1018s ][ Queries: 13 (0.0115s) ][ GZIP on ]